%define	major	1
%define	libname %mklibname nl %{major}
%define	libdev	%mklibname -d nl

Name:		libnl
Version:	1.1.4
Release:	%mkrel 1
Summary:	Library for applications dealing with netlink sockets
License:	LGPL2.1
Group:		System/X11
URL:		http://www.infradead.org/~tgr/libnl/
Source0:	http://www.infradead.org/~tgr/libnl/files/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
Patch4:		libnl-1.0-pre8-more-build-output.patch
Patch6:		libnl-1.1-doc-inlinesrc.patch

%description
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for applications dealing with netlink sockets

%description -n	%{libname}
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%package -n	%{libdev}
Group:		Development/C
Summary:	Header files of libnl
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname nl 1 -d

%description -n	%{libdev}
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%prep
%setup -q
%setup -q
%patch4 -p1 -b .more-build-output
%patch6 -p1 -b .doc-inlinesrc

# a quick hack to make doxygen stripping builddir from html outputs.
sed -i.org -e "s,^STRIP_FROM_PATH.*,STRIP_FROM_PATH = `pwd`," doc/Doxyfile.in

%build
%configure2_5x
make
make gendoc

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/libnl.so.%{major}
%{_libdir}/libnl.so.%{major}.*

%files -n %{libdev}
%dir %{_includedir}/netlink
%{_includedir}/netlink/*.h
%dir %{_includedir}/netlink/fib_lookup
%{_includedir}/netlink/fib_lookup/*.h
%dir %{_includedir}/netlink/genl
%{_includedir}/netlink/genl/*.h
%dir %{_includedir}/netlink/route
%{_includedir}/netlink/route/*.h
%dir %{_includedir}/netlink/route/cls
%{_includedir}/netlink/route/cls/*.h
%dir %{_includedir}/netlink/route/sch
%{_includedir}/netlink/route/sch/*.h
%{_libdir}/libnl.so
%{_libdir}/pkgconfig/%{name}-%{major}.pc
%{_libdir}/%{name}.a


%changelog
* Fri Dec 30 2016 luigiwalser <luigiwalser> 1.1.4-1.mga6
+ Revision: 1078672
- 1.1.4
- remove upstreamed patches 1, 2, 3, and 5

* Mon Feb 08 2016 umeabot <umeabot> 1.1-12.mga6
+ Revision: 946380
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-11.mga5
+ Revision: 746218
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-10.mga5
+ Revision: 681654
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 507258
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 357872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tmb <tmb>
    - revert to 1.1 to match repos
    - drop buildroot and defattr
    - fix license
    - update to 3.2.6

* Wed Jan 12 2011 tmb <tmb> 1.1-7.mga1
+ Revision: 7559
- imported package libnl

